# $Revision: 1.12 $, $Date: 2008/07/27 23:05:07 $
%define		major	1
%define		minor	0
%define		micro	%{nil}
%define		type	REC
%define		year	2000
%define		month	01
%define		day	26

%define		mver	%{major}
%define		ver	%{major}%{minor}%{micro}
%define		v_er	%{major}.%{minor}%{micro}
%define		v__er	%{major}\.%{minor}%{micro}
Summary:	XHTML %{v_er}
Summary(pl.UTF-8):	XHTML %{v_er}
Name:		xhtml-dtd%{ver}-xml
Version:	%{year}%{month}%{day}
Release:	3
Group:		Applications/Publishing/SGML
License:	W3C
Vendor:		W3C
Source0:	http://www.w3.org/TR/%{year}/%{type}-xhtml%{mver}-%{version}/xhtml%{mver}.tgz
# Source0-md5:	a9ab373670f55fd50ce1e6c75261b75d
URL:		http://www.w3.org/TR/xhtml%{mver}/
Requires:	sgml-common >= 0.6.3-5
Requires:	sgmlparser
Requires(post):	/usr/bin/xmlcatalog
Requires(post):	sgml-common >= 0.5
Requires(preun):/usr/bin/xmlcatalog
Requires(preun):sgml-common >= 0.5
Provides:	xhtml-dtd
AutoReqProv:	no
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		catalog		%{_datadir}/sgml/html/xml-dtd-%{v_er}/xmlcatalog-%{v_er}-%{version}-%{release}

%description
XHTML specification (with DTD, needed to parse XHTML code).

%description -l pl.UTF-8
Specyfikacja XHTML (wraz z DTD, potrzebnym do sprawdzania poprawności
kodu XHTML).

%prep
%setup -q -n xhtml%{mver}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/html/xml-dtd-%{v_er}

xmlcatalog --noout --create $RPM_BUILD_ROOT%{catalog}
xmlcatalog --noout --add rewriteSystem \
	'http://www.w3.org/TR/xhtml1/DTD/' \
	'/usr/share/sgml/html/xml-dtd-%{v_er}/' \
	$RPM_BUILD_ROOT%{catalog}
xmlcatalog --noout -add public \
	"-//W3C//DTD XHTML 1.0 Strict//EN" \
	xhtml1-strict.dtd \
	$RPM_BUILD_ROOT%{catalog}
xmlcatalog --noout -add public \
	"-//W3C//DTD XHTML 1.0 Transitional//EN" \
	xhtml1-transitional.dtd \
	$RPM_BUILD_ROOT%{catalog}
xmlcatalog --noout -add public \
	"-//W3C//DTD XHTML 1.0 Frameset//EN" \
	xhtml1-frameset.dtd \
	$RPM_BUILD_ROOT%{catalog}
xmlcatalog --noout -add public \
	"-//W3C//ENTITIES Latin 1 for XHTML//EN" \
	"xhtml-lat1.ent" \
	$RPM_BUILD_ROOT%{catalog}
xmlcatalog --noout -add public \
	"-//W3C//ENTITIES Symbols for XHTML//EN" \
	"xhtml-symbol.ent" \
	$RPM_BUILD_ROOT%{catalog}
xmlcatalog --noout -add public \
	"-//W3C//ENTITIES Special for XHTML//EN" \
	"xhtml-special.ent" \
	$RPM_BUILD_ROOT%{catalog}

install DTD/* $RPM_BUILD_ROOT%{_datadir}/sgml/html/xml-dtd-%{v_er}

# make symlink for minimizing file duplication and make documentation working
rm -rf DTD
ln -s ../../sgml/html/xml-dtd-%{v_er}/ DTD

%post
/usr/bin/install-catalog --add /etc/sgml/xhtml-%{v_er}-%{version}-%{release}.cat /usr/share/sgml/html/xml-dtd-%{v_er}/xhtml.soc > /dev/null
/usr/bin/xmlcatalog --noout --add nextCatalog xhtml %{catalog} /etc/xml/catalog

%preun
/usr/bin/install-catalog --remove /etc/sgml/xhtml-%{v_er}-%{version}-%{release}.cat /usr/share/sgml/html/xml-dtd-%{v_er}/xhtml.soc > /dev/null
/usr/bin/xmlcatalog --noout --del %{catalog} /etc/xml/catalog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *
%{_datadir}/sgml/html/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xhtml-dtd10-xml.spec,v $
Revision 1.12  2008/07/27 23:05:07  arekm
- release 3

Revision 1.11  2007-02-12 22:09:22  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.9  2004/04/13 21:14:07  qboosh
- R: sgml-common which owns /usr/share/sgml/html; release 2

Revision 1.8  2004/03/16 07:19:01  jajcus
- Release: 1

Revision 1.7  2003/11/11 01:56:08  ankry
- unification

Revision 1.6  2003/08/28 09:24:19  qboosh
- no // in paths

Revision 1.5  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.4  2003/08/18 08:09:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.3  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:28:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/05/27 07:38:27  wiget
XHTML 1.0 DTDs with XML catalog support, NFY but for technology preview

Revision 1.8  2002/04/25 16:34:29  arturs
fixed a small typo

Revision 1.7  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.4  2001/02/21 23:27:36  kloczek
- adapterized.

Revision 1.3  2001/02/15 22:46:01  klakier
- cosmetics

Revision 1.2  2001/02/15 15:52:02  klakier
- rel 5

Revision 1.1  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages

Revision 1.14  2000/06/07 23:14:02  kloczek
- cosmetics.

Revision 1.13  2000/06/06 17:49:13  klakier
- updated to 4.01 version
  fixed catalog problem

Revision 1.12  2000/05/21 15:02:32  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.9  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.8  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Oct  9 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [19980424-2]
- package is now builded as noarch.

* Mon Sep 07 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
  [19980424-1]
- first HTML 4.0 RPM. Based on W3C Recomendation.
